<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Students extends Controller_UserEnvironment
{
    public function action_index() {
        $twig = Twig::factory('admin/students/index');
        $twig->Faculties = Model_Faculties::load();
        $twig->Grades = Model_Grades::toStructuredArray();
        $twig->User = $this->user;
        $this->response->body($twig);
    }

    public function action_add() {
        $twig = Twig::factory('admin/students/add');
        $twig->Faculties = Model_Faculties::load();
        $twig->Grades = Model_Grades::toStructuredArray();
        $twig->User = $this->user;
        $this->response->body($twig);
    }

    public function action_upload() {
        $twig = Twig::factory('admin/students/upload');

        if (!empty($_FILES['students']) && $this->request->method() == 'POST') {
            $twig->UploadingResult = $this->parseFile($_FILES["students"]["tmp_name"]);
        }

        $twig->Faculties = Model_Faculties::load();
        $twig->User = $this->user;
        $this->response->body($twig);
    }

    protected function parseFile($filename) {
        return FileParser::StudentsList($filename, $_POST['facultyID']);
    }

    public function action_edit() {
        $twig = Twig::factory('admin/students/edit');
        $twig->User = $this->user;
        $this->response->body($twig);
    }
}
            